Loading...
Searching...
No Matches
local.c File Reference
`#include <time.h>`
`#include <grass/datetime.h>`
Include dependency graph for local.c:

Go to the source code of this file.

## Functions

int | datetime_get_local_timezone (int *minutes)
| Returns: 0 OK -1 local timezone info not available.
void | datetime_get_local_time (DateTime *dt)
| set mode/from/to ABSOLUTE/YEAR/SECOND set the local time into 'dt' does not set timezone.

## Function Documentation

## datetime_get_local_time()

void datetime_get_local_time | ( | DateTime * | dt | ) |

set mode/from/to ABSOLUTE/YEAR/SECOND set the local time into 'dt' does not set timezone.

Parameters

  dt |

Returns
  void

Definition at line 80 of file local.c.

References datetime_set_day(), datetime_set_hour(), datetime_set_minute(), datetime_set_month(), datetime_set_second(), datetime_set_type(), and datetime_set_year().

## datetime_get_local_timezone()

int datetime_get_local_timezone | ( | int * | minutes | ) |

Returns: 0 OK -1 local timezone info not available.

Parameters

  minutes |

Returns
  int

Definition at line 28 of file local.c.

References datetime_change_from_to(), datetime_difference(), datetime_set_day(), datetime_set_hour(), datetime_set_minute(), datetime_set_month(), datetime_set_second(), datetime_set_type(), and datetime_set_year().